com.io7m.jstructural.core

## Class SDocumentWithParts

- java.lang.Object
- - com.io7m.jstructural.core.SDocument
  - - com.io7m.jstructural.core.SDocumentWithParts

-     public final class SDocumentWithParts
      extends SDocument

  A document with parts.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SDocumentWithParts` | `document(SDocumentTitle in_title, SNonEmptyList<SPart> in_content)` Construct a new document with the given title, and style.
    `<D> D` | `documentAccept(SDocumentVisitor<D> v)` Accept a document visitor.
    `static SDocumentWithParts` | `documentContents(SDocumentTitle in_title, SNonEmptyList<SPart> in_content)` Construct a new document with the given title, and table of contents.
    `static SDocumentWithParts` | `documentStyle(SDocumentTitle in_title, SDocumentStyle in_style, SNonEmptyList<SPart> in_content)` Construct a new document with the given title.
    `static SDocumentWithParts` | `documentStyleContents(SDocumentTitle in_title, SDocumentStyle in_style, SNonEmptyList<SPart> in_content)` Construct a new document with the given title, style, and table of contents.
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SPart>` | `getParts()`
    `int` | `hashCode()`

    - ### Methods inherited from class com.io7m.jstructural.core.SDocument

      `getContents, getStyle, getTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### document

          public static SDocumentWithParts document(SDocumentTitle in_title,
                                    SNonEmptyList<SPart> in_content)

      Construct a new document with the given title, and style.
      Parameters:
        `in_title` - The title
        `in_content` - The sections
      Returns:
        A new document

    - #### documentContents

          public static SDocumentWithParts documentContents(SDocumentTitle in_title,
                                            SNonEmptyList<SPart> in_content)

      Construct a new document with the given title, and table of contents.
      Parameters:
        `in_title` - The title
        `in_content` - The sections
      Returns:
        A new document

    - #### documentStyle

          public static SDocumentWithParts documentStyle(SDocumentTitle in_title,
                                         SDocumentStyle in_style,
                                         SNonEmptyList<SPart> in_content)

      Construct a new document with the given title.
      Parameters:
        `in_title` - The title
        `in_style` - The style
        `in_content` - The sections
      Returns:
        A new document

    - #### documentStyleContents

          public static SDocumentWithParts documentStyleContents(SDocumentTitle in_title,
                                                 SDocumentStyle in_style,
                                                 SNonEmptyList<SPart> in_content)

      Construct a new document with the given title, style, and table of contents.
      Parameters:
        `in_title` - The title
        `in_style` - The style
        `in_content` - The sections
      Returns:
        A new document

    - #### documentAccept

          public <D> D documentAccept(SDocumentVisitor<D> v)
                           throws Exception

      Description copied from class: `SDocument`
      Accept a document visitor.
      Specified by:
        `documentAccept` in class `SDocument`
      Type Parameters:
        `D` - The type of transformed `SDocument`s
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

    - #### equals

          public boolean equals(@Nullable
                       Object obj)

      Overrides:
        `equals` in class `SDocument`

    - #### getParts

          public SNonEmptyList<SPart> getParts()

      Returns:
        The document sections

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SDocument`

Copyright © 2014 <code@io7m.com> http://io7m.com